# Entity Batch Resave Module

The Entity Batch Resave module is a custom Drupal module that provides functionality to resave the content of all nodes or media in the Drupal site.

## Installation

1. Install width composer
```bash
composer require francescogregori/entity_resave:dev-master
```


## Usage

Once the module is enabled, you can access the resave functionality by navigating to the "Configuration/Development" section in the Drupal administration panel. From there, you will find two new options called "Entity Resave: NODE" and "Entity Resave: MEDIA". Clicking on this option will start the resave process.

## Features

## Features
- Resave all nodes: The module allows you to resave the content of all nodes in the Drupal site with a single click.
- Resave all media: The module also provides the functionality to resave the content of all media in the Drupal site.
- Batch processing: The resave process is performed in batches to prevent performance issues on large sites.
- Logging: The module logs the resave process, providing information about the number of nodes and media processed, as well as any errors encountered.

## Contributing

Contributions to the Node Content Resave module are welcome! If you encounter any issues or have suggestions for improvements, please submit them to the [issue tracker](https://www.drupal.org/project/entity_resave/issues) on Drupal.org.

## License

This module is licensed under the [GNU General Public License](https://www.gnu.org/licenses/gpl-2.0.html). See the LICENSE file for more information.


# entity_resave
